body {
  font-family: Arial, sans-serif;
  background-color: #f2f2f2;
  margin: 0;
  padding: 0;
}

h1 {
  text-align: center;
  margin-top: 50px;
}

#container {
  margin: 0 auto;
  width: 80%;
  max-width: 500px;
  background-color: white;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 20px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

button {
  padding: 10px 20px;
  font-size: 1em;
  background-color: #4CAF50;
  color: white;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  margin-right: 10px;
}

button#copy-password {
  padding: 10px 20px;
  font-size: 1em;
  color: white;
  border: none;
  border-radius: 3px;
  cursor: pointer;
}

input[type="text"] {
  border: none;
  border-radius: 3px;
  padding: 10px;
  font-size: 1.2em;
  margin-top: 10px;
  width: 100%;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
}

#made-by {
  text-align: center;
  margin-top: 50px;
  font-size: 0.8em;
  color: #999;
  position: absolute;
  bottom: 10px;
  width: 100%;
}

#made-by a {
  color: #999;
  text-decoration: none;
}

#made-by a:hover {
  text-decoration: underline;
}

@media screen and (max-width: 600px) {
  #container {
    width: 90%;
  }
  
  button {
    width: 100%;
    margin-right: 0;
    margin-bottom: 10px;
  }
  
  input[type="text"] {
    margin-top: 0;
  }
}
